{
  "name": "peddlers-client",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "dependencies": {
    "@emotion/react": "^11.11.1",
    "@emotion/styled": "^11.11.0",
    "@mui/icons-material": "^5.13.7",
    "@mui/material": "^5.13.7",
    "@mui/styles": "^5.13.3",
    "@mui/utils": "^5.13.7",
    "@testing-library/jest-dom": "^6.0.0",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^14.4.3",
    "ajv": "^8.12.0",
    "date-fns": "^3.6.0",
    "fast-deep-equal": "^3.1.3",
    "http-proxy-middleware": "^2.0.3",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-movable": "^3.0.4",
    "react-moveable": "^0.31.1",
    "react-router-dom": "^6.14.1",
    "react-use-websocket": "^4.8.1",
    "socket.io-client": "^4.4.1",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start": "vite --host",
    "build": "tsc && vite build",
    "preview": "vite preview",
    "test": "vitest",
    "type-check": "tsc --project tsconfig.json --noEmit",
    "lint": "eslint 'src/**/*.{js,jsx,ts,tsx}' --max-warnings=0",
    "lint:fix": "eslint 'src/**/*.{js,jsx,ts,tsx}' --fix"
  },
  "devDependencies": {
    "@types/react": "^18.2.22",
    "@types/react-dom": "^18.2.7",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "@vitejs/plugin-react": "^4.0.0",
    "typescript": "^5.4.3",
    "vite": "^5.0.0",
    "vite-tsconfig-paths": "^4.2.1",
    "vitest": "^1.0.0"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}